function [squareScore, circleScore] = strongestSignFinal(template, handles, squareScore, circleScore, blob)

global blueSquareSigns;
global blueCirkleSigns;

for i = 1:length(blueSquareSigns)
    if blueSquareSigns{i} == template
        squareScore(i) = squareScore(i)+1;
    end
end

for i = 1:length(blueCirkleSigns)
    if blueCirkleSigns{i} == template
        circleScore(i) = circleScore(i)+1;
    end
end

[ss,Iss] = max(squareScore);
[cs,Ics] = max (circleScore);
y = length(blob);
if ss > 1 || cs > 1
    if ss > cs
        imshow(blueSquareSigns{Iss}, 'Parent', handles.axes10);
        imshow(blob{y}, 'Parent', handles.axes9);        
    else
        imshow(blueCirkleSigns{Ics}, 'Parent', handles.axes10);
        imshow(blob{y}, 'Parent', handles.axes9);
    end
end
